require(['./workmain.js'], function(workmain) {
    var modeIndex = DA.query['modeIndex'];
    //修改烘焙设置
    //断网
    var offNet = new DA.AlinkUI.OffNet('offNet', {
        domhook: $('.bind_handle_offnet'),
        datamodel: {
            button: []
        }
    });
    //断网toast
    var offlineToast = new DA.AlinkUI.Toast('offlineToast', {
        domhook: $('.bind_offlineToast'),
        text: '您的设备已断网,请联网后操作',
        time: 5000
    });

    new DA.AlinkUI.ItemList('itemList',{
        domhook : $('.bind_handle_item_list'),
        datamodel: {
            //uiTitle:'设备信息',
            map: [{
                leftIcon:'&#xe64c;',
                title: '童锁',
                after:'<switch class="bind_handle_switch"></switch>',
                rightIcon:""
            }]
        },
        onClickBefore:function(){
            return true;
        },
        onClickAfter:function(){
            console.log('onClickAfter');
            return true;
        },
        onItemClick:function(targetItem,e){
            console.log('onItemClick',targetItem,e)
        }
    });

    new DA.AlinkUI.Switch('childLockSwitch', {
        domhook : $('.bind_handle_switch'),
        datamodel: {
            key: 'OnOff_ChildLock',
            value: "",
            map: {on: "1", off: "0"}
        },
        tpl:'switch',
        onClickBefore: function(){
            return true;
        },
        onClickAfter: function(){
            return true;
        },
        changed: function(){
            if (DA.drainWater){

            }
            workmain.syncStatus();
            this.setDeviceStatus();//下发指令
        }
    });

    workmain.init();

});