const path = require('path');
const readline = require('readline');
const AliBuildObject = require('./Public/createAli');
const JDBuildProject = require('./Public/createJD');
const fs = require('fs');
const os = require('os');
const exec = require('child_process');

console.log(`======================Quick Build Project=================`);


global.platform = os.platform();

// if (global.platform === 'win32') {
//     exec.exec("expand -F:* ./disk1/1.zip ./package/work", (err, output) => {

//         console.log(output);
//     });
// }

let ProjectType, ProjectModel;

const rl = readline.createInterface({
    input: process.stdin,
    output: process.stdout
});


rl.question('构建的项目类型：ali or jd \n', ans => {
    ProjectType = ans;

    switch (ProjectType) {
        case "ali":
            rl.question('选择的为阿里智能项目，请输入model \n', ans => {
                ProjectModel = ans;
                AliBuildObject.CreateAli(ProjectModel);
                rl.close();
            });
            break;

        case "jd":
            rl.question('选择的为京东微联项目，请输入model \n', ans => {
                ProjectModel = ans;
                JDBuildProject.CreateJD(ProjectModel);
                rl.close();
            });
            break;
    }
});